<div uk-alert="" class="uk-alert-primary uikit-modern-micro">
    <div>
        <div class="uk-grid-small" uk-grid uk-height-match=".uk-card">
            <div class="uk-width-2-5">
                <div class="uk-card uk-card-default uk-flex uk-flex-middle uk-flex-center uk-flex-column">
                    <p class="uk-margin-remove uk-text-small">MAIN</p>
                    <p class="uk-text-smaller uk-margin-remove">LAST: 2021.JUL.07:17.52</p>
                </div>
            </div>

            <div class="uk-width-3-5">
                <div class="uk-child-width-1-4 uk-grid-small" uk-grid>
                    <div>
                        <div class="uk-card uk-card-default square">
                            <div class="content uk-flex uk-flex-middle uk-flex-center uk-flex-column">
                                <p class="uk-margin-remove uk-text-small">{{paramsforsend.generalTotal.toFixed(2)}}</p>
                                <p class="uk-margin-remove uk-text-smaller">SCORE</p>
                            </div>
                        </div>
                    </div>
                    <div>
                        <div class="uk-card uk-card-default square">
                            <div class="content uk-flex uk-flex-middle uk-flex-center uk-flex-column uk-text-center">
                                <p class="uk-margin-remove-bottom">{{paramsforsend.penaltyTotal.toFixed(2)}}</p>
                                <p class="uk-margin-remove-top uk-margin-remove-bottom uk-text-smaller">PENAL</p>
                            </div>
                        </div>
                    </div>
                    <div>
                        <div class="uk-card uk-card-default square">
                            <div class="content uk-flex uk-flex-middle uk-flex-center uk-flex-column uk-text-center">
                                <p class="uk-margin-remove-bottom">{{total.toFixed(2)}}</p>
                                <p class="uk-margin-remove-top uk-margin-remove-bottom uk-text-smaller">TOTAL</p>
                            </div>
                        </div>
                    </div>
                    <div>
                        <a (click)="sendGeneralQuals()" uk-tooltip="title: APPROVE; pos: top">
                            <div class="uk-card uk-card-default uk-card-hover square">
                                <div class="content uk-flex uk-flex-middle uk-flex-center uk-flex-column uk-text-center">
                                    <span uk-icon="icon: cloud-upload"></span>
                                    <p class="uk-margin-remove-top uk-margin-remove-bottom uk-text-smaller">RELEASE</p>
                                </div>
                            </div>
                        </a>
                    </div>
                </div>
            </div>
        </div>
    </div>



    <!---- TABLE ----->
    <div class="uk-card uk-card-default uk-padding-small uk-margin-small">
        <div class="">
            <table class="uk-table uk-table-middle uk-table-small uk-table-hover uk-table-divider">
                <caption class="uk-text-small">JUDGING PARAMETERS</caption>
                <thead>
                    <tr class="uk-background-secondary uk-light">
                        <th [hidden]="true" class="uk-table-shrink uk-text-smaller uk-text-center">CLAIM</th>
                        <th class="uk-table-large uk-text-smaller">PARAMETER</th>
                        <th class="uk-text-smaller">DESCRIPTION</th>
                        <th class="uk-table-shrink uk-text-smaller">VALUE</th>
                        <th class="uk-table-shrink uk-text-smaller uk-text-center">SCORE</th>
                        <th class="uk-table-shrink uk-text-smaller uk-text-center">NOTE</th>
                        <th class="uk-table-shrink uk-text-smaller uk-text-center">ALERT</th>
                    </tr>
                </thead>
                <tr>
                    <td colspan="5">

                    </td>
                </tr>

                <tbody *ngFor="let param of params.parameters;let i = index">
                    <ng-container *ngIf="param.gp_id !== params.parameters[i - 1]?.gp_id">
                        
                        <tr>
                            <td colspan="9">
                                {{param.gp_title? param.gp_title: 'NO GRAND PARAMETER'}}
                            </td>
                        </tr>
                    </ng-container>
                    <tr>
                        <td [hidden]="true" class="uk-text-smaller uk-text-center">
                            <a (click)="openClaimGenerator(1,param.id)" uk-icon="icon: commenting; ratio: 0.75;"></a>
                        </td>
                        <td class="uk-text-smaller uk-text-nowrap uk-text-bold">{{param.name}}</td>
                        <td class="uk-text-smaller uk-text-nowrap">{{param.desc}} <span *ngFor="let criteria of param.criteria;let y = index">{{criteria.title}} {{criteria.points}}   pts {{criteria.qualpoints}}  <span *ngIf="y+1 != param.criteria.length">|| </span></span></td> 
                        <td class="uk-text-small uk-text-center">{{param.total}}</td>
                        <td class="uk-text-small uk-text-center uk-text-center">{{param.qualtotal.toFixed(2)}}</td>
                        <td class="uk-text-smaller uk-text-center">
                            <a href="#" uk-icon="icon: comment; ratio: 0.75;" [attr.uk-toggle]="'target: #parameter-toogle-oppener'+i"></a>
                        </td>
                        <td class="uk-text-center">
                            <app-status-visualizer [showMainStatus]="true" [statusMainData]="param.flag"></app-status-visualizer>
                        </td>
                    </tr>
                    <tr [attr.id]="'parameter-toogle-oppener'+i" >
                        <td class="uk-text-smaller" colspan="7">comm: {{param.comment || 'No comment '}}</td>
                    </tr>
                </tbody>
            </table>


            <table class="uk-table uk-table-middle uk-table-small uk-table-hover uk-table-divider">
                <caption class="uk-text-small">PENALTYS</caption>
                <thead>
                    <tr class="uk-background-secondary uk-light">
                        <th [hidden]="true" class="uk-table-shrink uk-text-smaller uk-text-center">CLAIM</th>
                        <th class="uk-table-large uk-text-smaller">PENALTY</th>
                        <th class="uk-text-smaller">DESCRIPTION</th>
                        <th class="uk-table-shrink uk-text-smaller">VALUE</th>
                        <th class="uk-table-shrink uk-text-smaller uk-text-center">TOTAL</th>
                        <th [hidden]="true" class="uk-table-shrink uk-text-smaller uk-text-center">COMMENT</th>
                        <th class="uk-table-shrink uk-text-smaller uk-text-center">ALERT</th>
                    </tr>
                </thead>
                <tr *ngIf="hitzero">
                    <td colspan="6">
                        <p class="uk-text-center uk-text-smaller">HIT 0 | NO PENALTY</p>
                    </td>
                    <td class="uk-text-center">
                        <app-status-visualizer [showMainStatus]="true" [statusMainData]="firstMainStatus"></app-status-visualizer>
                    </td>
                </tr>
                <tbody [hidden]="penalty.judgements.length == 0" *ngFor="let penalty of params.penalties;let penalindex = index">
                    <tr> 
                        <td [hidden]="true" class="uk-text-smaller uk-text-center">
                            <a href="#" uk-icon="icon: warning; ratio: 0.75;"></a>
                        </td> 
                        <td class="uk-text-smaller uk-text-nowrap uk-text-bold">{{penalty.name}}</td>
                        <td class="uk-text-smaller uk-text-wrap"><div *ngFor="let item of penalty.judgements;let i = index">

                            <a [attr.uk-toggle]="'target: #penalty-toogle-oppener'+i+'_'+penalindex" class="uk-margin-remove" uk-tooltip="title: MIN:SEG; pos: top">0{{item.time.min}}:0{{item.time.sec}}</a>
                        </div></td>
                        <td class="uk-text-small uk-text-center">{{penalty.points}}</td>
                        <td class="uk-text-small uk-text-center uk-text-center">{{penalty.ammount}}</td>
                        <td [hidden]="true" class="uk-text-smaller uk-text-center">
                            <a href="#" uk-icon="icon: comment; ratio: 0.75;"></a>
                        </td>
                        <td class="uk-text-center">
                            <app-status-visualizer [showMainStatus]="true" [statusMainData]="penalty.flag"></app-status-visualizer>
                        </td>
                    </tr>
                    <tr class="uk-width-1-1">
                        <td class="uk-text-smaller" colspan="7">
                            <div class="uk-child-width-auto uk-grid-small uk-grid-divider" uk-grid>
                                
                            </div>
                        </td>
                    </tr>
                    <tr *ngFor="let item of penalty.judgements;let i = index" [attr.id]="'penalty-toogle-oppener'+i+'_'+penalindex" >
                        <td class="uk-text-smaller" colspan="7"> <span class="uk-text-bold">0{{item.time.min}}:0{{item.time.sec}}</span> {{item.coment || 'No comment '}}</td>
                    </tr>
                    <tr class="uk-width-1-1">
                        <td class="uk-background-muted" colspan="8">
                            <hr class="uk-hr-divider">
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
    <!---- TABLE ----->
</div>